Get Credentials Sub Task

Get Credentials Sub Task
Retrieve a credential sub task by its ID

Retrieve a credential sub task by its ID

Request
URI
GET
https://{api_host}/v1/credentials/tasks/{id}/subtasks/{subtaskId}
COPY
Path Parameters
string
id
Required  

The ID of the credentials task

string
subtaskId
Required  

The ID of the credentials sub-task


Responses
200

Ok

Returns CredentialsTask of type(s) application/json
{
    "id": "string",
    "name": "string",
    "type": "One among: UPDATE, ROTATE, REMEDIATE, UPDATE_AUTO_ROTATE_POLICY",
    "creationTimestamp": "string",
    "completionTimestamp": "string",
    "status": "One among: PENDING, IN_PROGRESS, SUCCESSFUL, FAILED, USER_CANCELLED, INCONSISTENT",
    "subTasks": [
        {
            "id": "string",
            "resourceName": "string",
            "name": "string",
            "description": "string",
            "creationTimestamp": "string",
            "completionTimestamp": "string",
            "status": "One among: PENDING, IN_PROGRESS, SUCCESSFUL, FAILED, USER_CANCELLED, INCONSISTENT",
            "dependentSubTasks": [
                {
                    "id": "string",
                    "resourceName": "string",
                    "name": "string",
                    "description": "string",
                    "creationTimestamp": "string",
                    "completionTimestamp": "string",
                    "status": "One among: PENDING, IN_PROGRESS, SUCCESSFUL, FAILED, USER_CANCELLED, INCONSISTENT",
                    "dependentSubTasks": [
                        "CredentialsSubTask Object"
                    ],
                    "errors": [
                        {
                            "errorCode": "string",
                            "errorType": "string",
                            "arguments": [
                                "string"
                            ],
                            "context": {
                                "context": "string"
                            },
                            "notifications": [
                                {
                                    "severity": "string",
                                    "message": "string",
                                    "remediations": [
                                        {
                                            "message": "string",
                                            "link": "string"
                                        }
                                    ],
                                    "impactMessage": "string"
                                }
                            ],
                            "message": "string",
                            "remediationMessage": "string",
                            "causes": [
                                {
                                    "type": "string",
                                    "message": "string"
                                }
                            ],
                            "nestedErrors": [
                                {
                                    "errorCode": "string",
                                    "errorType": "string",
                                    "arguments": [
                                        "string"
                                    ],
                                    "context": {
                                        "context": "string"
                                    },
                                    "notifications": [
                                        {
                                            "severity": "string",
                                            "message": "string",
                                            "remediations": [
                                                {
                                                    "message": "string",
                                                    "link": "string"
                                                }
                                            ],
                                            "impactMessage": "string"
                                        }
                                    ],
                                    "message": "string",
                                    "remediationMessage": "string",
                                    "causes": [
                                        {
                                            "type": "string",
                                            "message": "string"
                                        }
                                    ],
                                    "nestedErrors": [
                                        "Error Object"
                                    ],
                                    "referenceToken": "string",
                                    "label": "string",
                                    "remediationUrl": "string"
                                }
                            ],
                            "referenceToken": "string",
                            "label": "string",
                            "remediationUrl": "string"
                        }
                    ],
                    "oldPassword": "string",
                    "newPassword": "string",
                    "entityType": "string",
                    "username": "string",
                    "credentialType": "string"
                }
            ],
            "errors": [
                {
                    "errorCode": "string",
                    "errorType": "string",
                    "arguments": [
                        "string"
                    ],
                    "context": {
                        "context": "string"
                    },
                    "notifications": [
                        {
                            "severity": "string",
                            "message": "string",
                            "remediations": [
                                {
                                    "message": "string",
                                    "link": "string"
                                }
                            ],
                            "impactMessage": "string"
                        }
                    ],
                    "message": "string",
                    "remediationMessage": "string",
                    "causes": [
                        {
                            "type": "string",
                            "message": "string"
                        }
                    ],
                    "nestedErrors": [
                        {
                            "errorCode": "string",
                            "errorType": "string",
                            "arguments": [
                                "string"
                            ],
                            "context": {
                                "context": "string"
                            },
                            "notifications": [
                                {
                                    "severity": "string",
                                    "message": "string",
                                    "remediations": [
                                        {
                                            "message": "string",
                                            "link": "string"
                                        }
                                    ],
                                    "impactMessage": "string"
                                }
                            ],
                            "message": "string",
                            "remediationMessage": "string",
                            "causes": [
                                {
                                    "type": "string",
                                    "message": "string"
                                }
                            ],
                            "nestedErrors": [
                                "Error Object"
                            ],
                            "referenceToken": "string",
                            "label": "string",
                            "remediationUrl": "string"
                        }
                    ],
                    "referenceToken": "string",
                    "label": "string",
                    "remediationUrl": "string"
                }
            ],
            "oldPassword": "string",
            "newPassword": "string",
            "entityType": "string",
            "username": "string",
            "credentialType": "string"
        }
    ],
    "errors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "isAutoRotate": false
}
string
id
Required   Read-Only  
Constraints: minLength: 1

Credential task ID

string
name
Required   Read-Only  
Constraints: minLength: 1

Credential task name

string
type
Required   Read-Only  
Constraints: minLength: 1

Credential task type

string
creationTimestamp
Required   Read-Only  

Credential task creation timestamp

string
completionTimestamp
Read-Only  

Credential task completion timestamp

string
status
Required   Read-Only  
Constraints: minLength: 1

Credential task status

array of object
subTasks
Read-Only  

List of credential sub-tasks of the credential task

array of object
errors
Optional

List of errors in case of a failure

boolean
isAutoRotate
Read-Only  

Is Credential task an auto rotate task


400

Bad Request

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

InternalServerError

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/credentials/tasks/{id}/subtasks/{subtaskId}